Create a robot
Create a new Robot with the specified configuration. A Robot in Storyden consists of a name and description (for humans) as well as a playbook, and a set of available tools to interact with Storyden or plugins. The playbook is a detailed set of instructions that guides behaviour of the Robot to help it assist members in achieving a specific automation goal. Tools are available from either Storyden or plugins that allow it to perform actions or query data. Robots never need all tools and it's best to build goal-specific Robots with minimal sets of tools.
/robotsCreate a new Robot with the specified configuration. A Robot in Storyden consists of a name and description (for humans) as well as a playbook, and a set of available tools to interact with Storyden or plugins. The playbook is a detailed set of instructions that guides behaviour of the Robot to help it assist members in achieving a specific automation goal. Tools are available from either Storyden or plugins that allow it to perform actions or query data. Robots never need all tools and it's best to build goal-specific Robots with minimal sets of tools.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/robots" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "playbook": "string" }'{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"description": "string",
"playbook": "string",
"model": "openai/gpt-4.1-mini",
"workspace_id": "cc5lnd2s1s4652adtu50",
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"tools": [
"string"
],
"meta": {}
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Robot Chat S S E POST
Send a message to a Robot and receive its response. This endpoint manages sessions automatically, creating new sessions as needed or continuing existing sessions based on the provided session ID. Each message sent to the Robot is processed according to its playbook and available tools, allowing it to perform actions or retrieve data as part of the conversation. The response from the Robot includes its reply message along with any actions taken during the interaction. This endpoint is a Server Sent Events (SSE) stream, meaning that the response is streamed back to the client in real-time as the Robot generates its reply.
Delete a robot DELETE
Delete a Robot.